<?php

/**
 * Page de fonctions concernant la gestion des domaines.
 */

require_once ($_SERVER["DOCUMENT_ROOT"]."/services/bdd/connexion.php");

/**
 * Fonction listant les domaines.
 */
function listeDomainesPostfix($pdo) {
	try {
		$req = $pdo->query('SELECT domaine FROM postfix_domaines ORDER BY defaut DESC');
		$liste_domaines = array();
		foreach ($req as $domaine_bdd => $domaine) {
			array_push($liste_domaines,$domaine);
		}
		return $liste_domaines;
	}
	catch (\Exception $e) {
		die ("Erreur de requête de selection des domaines pour \"$base\" : ".$e->getMessage());
	}
}

/**
 * Fonction affichant le domaine par défaut.
 */
function afficheDomaineDefautPostfix($pdo) {
	try {
		$req = $pdo->query('SELECT domaine FROM postfix_domaines WHERE defaut=1 LIMIT 1');
		foreach ($req as $domaine_bdd => $domaine_defaut) {
		}
		return $domaine_defaut['domaine'];
	}
	catch (\Exception $e) {
		die ("Erreur de requête de selection des domaines pour \"$base\" : ".$e->getMessage());
	}
}


?>